Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

 

Department: EF Affected Products: ADTF 3.6.2, ADTF Device Toolbox 3.1.0

Requester's Priority: Blocker Platform:  

Support Level: 2nd Level Topic: CompressionTB::Common

Resolution: Known Problem FAQ Links:  

Description

Supportanfrage

In ADTF2 stehen die Filter Image Decompressor, Image Compressor, Image Transform etc... aus dem  ADTF-Video-Compression

Toolbox zur Verfügung.

Gibt es dieses Toolbox in ADTF3 ?

Wenn ja, wie kann man sich es besorgen? Ich verwende ADTF 3.6.2 und habe kein Device Toolbox.

In dem ADTF3-DIR/addons gibt es nur eine Text-Datei (README.txt).

Danke für die Antwort.

Lösung

für ADTF 3.x wurde auf Kundenforums-Wunsch die Video Compression Toolbox gestrichen, es wird demnach keine Toolbox dafür

geben.

Was wir gemacht haben:

.dat files die mit Komprimierung in ADTF 2.x erstellt wurden, können in ADTF 3.x abgespielt und auch dekodiert werden, siehe 

https://support.digitalwerk.net/adtf/v3/adtf_html/page_release_notes_3_6_0.html:

d.h. du kannst bestehende Aufnahmen abspielen und dekodieren, dazu findest du auch ein Bsp.

Was du nicht kannst, ist Video Daten out of the box zu komprimieren.

Was wir ggf. noch einbauen:

Irgendeine Art der Video Komprimierung auf Basis von GStreamer, unabhängig von Video Compression TB wie man sie bisher

kannte.

Das aber noch ein Gedanke und keine Planung.

History

#1 - 2019-11-20 10:56 - hidden

- Status changed from New to In Progress

- Topic set to CompressionTB::Common

#2 - 2019-11-20 11:02 - hidden

- Subject changed from Porting to ADTF3 to Video Compression Toolbox for ADTF 3.x

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Not Supported Scope

Hallo Steve,

für ADTF 3.x wurde auf Kundenforums-Wunsch die Video Compression Toolbox gestrichen, es wird demnach keine Toolbox dafür geben.

Was wir gemacht haben:

.dat files die mit Komprimierung in ADTF 2.x erstellt wurden, können in ADTF 3.x abgespielt und auch dekodiert werden, siehe 

https://support.digitalwerk.net/adtf/v3/adtf_html/page_release_notes_3_6_0.html:

d.h. du kannst bestehende Aufnahmen abspielen und dekodieren, dazu findest du auch ein Bsp.
Was du nicht kannst, ist Video Daten out of the box zu komprimieren.

Was wir ggf. noch einbauen:

Irgendeine Art der Video Komprimierung auf Basis von GStreamer, unabhängig von Video Compression TB wie man sie bisher kannte.

Das aber noch ein Gedanke und keine Planung.

#3 - 2019-11-20 11:13 - hidden

- Subject changed from Video Compression Toolbox for ADTF 3.x to Video Compression and Device Toolbox for ADTF 3.x

NAchtrag:

Die restlichen verfügbaren Toolboxen findest du wie gewohnt im Downloadportal:

https://support.digitalwerk.net/projects/download-center/wiki/Overview_of_Products_and_Documentation

#4 - 2019-11-20 15:15 - hidden

Hallo Support-Team,

die Aufzeichnung eines komprimierten Dokuvideos ist für die FAS-Entwicklung ein absolut notwendiges Feature.

Wir erzeugen bisher pro Monat mehrere TB DatFiles mit komprimiertem Dokuvideo.

Wenn wir das in Zukunft unkomprimiert aufzeichnen müssten, wäre das nicht mehr handhabbar.

Solange es keine Video-Kompression gibt, ist für uns ein Umstieg auf ADTF3 nicht möglich.

Deswegen die Frage bis wann ihr so ein Feature zur Verfügung stellen könnt?

Grüße,

Andreas

#5 - 2019-11-20 15:52 - hidden

Hallo Andreas, hallo Steve,

euer Use Case ist uns bekannt und gerechtfertigt, ebenso dass eine Komprimierung für euch essentiell ist.

Was du auch wissen musst, eine Portierung wurde einstimmig im Kundenforum abgelehnt, da man das, laut Aussage, selbst machen kann und ggf.

auch besser und nicht generisch.

Deshalb müsstest du dich eigentlich an deinen Kundenforumsvertreter Pierre Voigtländer wenden, wer das dann für euch bereitstellt/beauftragt.

Die Sourcen aus dem 2er wurden auch offengelegt, damit man das selbst portieren könnte.

Es liegt also weniger an ADTF als an denjenigen, die euch Nutzer vertreten und die Roadmap definieren.

Gerne würde ich euch aber trotzdem in eine Telko nehmen, um zum einen grundsätzlich eure Anforderungen aufzusammeln und euch bei der

Portierung zu unterstützen (Steve stellt ja fleißig Tickets ein), zum anderen könnten wir eine Lösung auf Basis GStreamer o.ä. evaluieren und einen

Zeithorizont finden. Aktuell ist das weder bezahlt noch geplant - aber das bekommen wir schon irgendwie zusammen hin.

Gebt mir bitte Bescheid, ob Interesse besteht, am besten mit ein paar Terminvorschlägen.

Abschließend, falls noch nicht auf dem Radar: Nächste Woche findet am 27.11.2019 ein ADTF Userday für AUDI statt, wäre schön, wenn ihr da

dabei seid.

https://www.cip.audi.de/wiki/pages/viewpage.action?pageId=93590122

Details gibts ebenso bei Pierre Voigtländer.

#6 - 2019-11-20 17:00 - hidden

- Requester's Priority changed from Normal to Blocker

#7 - 2019-11-21 08:15 - hidden

Hallo Florian,

danke für den Hinweis. Den Termin für das Anwenderforum haben wir noch nicht. Kannst du uns den mal weiterleiten. Vielleicht kann ja von uns

jemand hingehen. Wäre bestimmt interessant für uns.

Gerne können wir auch mal telefonieren zwecks Anforderungen, aber eigentlich kann man das kurz zusammenfassen:

Da ADTF2 abgekündigt wird, bin ich davon ausgegangen, dass inzwischen die komplette Funktionalität auf ADTF3 portiert wurde. Dem ist ja

anscheinend nicht so, wie wir immer wieder feststellen.

Gibt es eine Übersicht an Funktionalität die im ADTF3 fehlt? Dann könnten wir daran bewerten, was für uns Blocker sind.

Du meintest noch, dass der Source-Code von ADTF2 inzwischen veröffentlich ist. Wo finden wir den denn?

Zwecks Videokompression ist es uns erstmal wichtig, dass ein Webcam-Video möglichst stark komprimiert abgespeichert werden kann,

dabei möglichst wenig Prozessorlast erzeugt und danach wieder abgespielt und auch ins avi (bei uns aktuell xvid) exportiert werden kann.
Viele Grüße,

Andreas

PS: Vielen Dank auf jeden Fall nochmal für euren Input in den letzten Tagen zu unseren ADTF3-Fragen. Für uns ist das noch ziemlich Neuland.

#8 - 2019-11-21 09:46 - hidden

- File adtf_key_facts.html.pdf added

- Resolution deleted (Not Supported Scope)

Hallo Andreas,

PS: Vielen Dank auf jeden Fall nochmal für euren Input in den letzten Tagen zu unseren ADTF3-Fragen. Für uns ist das noch ziemlich Neuland.

 Gerne, dafür sind wir ja da

Den Termin für das Anwenderforum haben wir noch nicht. Kannst du uns den mal weiterleiten. Vielleicht kann ja von uns jemand hingehen.

Wäre bestimmt interessant für uns.

 hab ich dir weitergeleitet, bitte verteilen. Wäre gut wenn sich das zumindest einer anhört.

Bei Bedarf bieten wir auch Anwender- und Entwicklerschulungen, das lässt sich auch recht schnell mit der AUDI Academie arrangieren.

Gerne können wir versuchen, explizit auf relevante Teilbereiche einzugehen.

Ebenso davon losgelöst ein Workshop wo wir euch exemplarisch bei der Portierung einer Komponente unterstützen.

Oder ein "Brute-Force-Portierung-Hackathon", wo wir das gemeinsam in einer Woche durchziehen.

Es gibt viele Möglichkeiten.

Wichtig ist aber, dass ihr euch mit der neuen Architektur vertraut macht.

Ihr werdet viele Dinge wiederfinden, vieles wurde auch verbessert oder optimiert, so dass bei euch auch Code wegfallen wird.

Ebenso Laufzeittrennung, Graph Separierung und Verteiltes System, das müsste man schon mit bedenken.

Gerade das neue Filter SDK wird euch gefallen, da bin ich mir sicher. Wir werden am Anwendertag auch exemplarisch live programmieren.

Nützliche Links:

https://support.digitalwerk.net/adtf/v3/adtf_html/index.html

https://support.digitalwerk.net/adtf/v3/guides/index.html

Da ADTF2 abgekündigt wird, bin ich davon ausgegangen, dass inzwischen die komplette Funktionalität auf ADTF3 portiert wurde. Dem ist ja

anscheinend nicht so, wie wir immer wieder feststellen.

 Grundsätzlich sind wir das seit ADTF 3.4.0.

Du musst aber wissen, dass von uns und dem Kundenforum jede Anforderung aus 2.x hinterfragt wurde, manche sich geändert haben oder

weggefallen sind.

Grundsätzlich lässt sich alles machen, an manchen Stellen muss noch Code geschrieben werden.

Ein paar Sachen fehlen allerdings noch, was aber keine Blocker sein sollten, sondern zumindest ein Workaround oder Lösung in 3.x besteht.

Gibt es eine Übersicht an Funktionalität die im ADTF3 fehlt? Dann könnten wir daran bewerten, was für uns Blocker sind.

 Ja, so was gibt es leider (noch) nicht.

Ich versuche mal aufzuzeigen, was weggefallen ist und was noch fehlt, der Rest ist vorhanden, ggf. hat sich aber der "Weg" (zu euren Gunsten)

verändert.

Hinweis: Ein Wegfall ist konkret so beauftragt von euren Vertretern, nicht dass du denkst, das wird von uns verworfen.

Feature/TB Status Bemerkung/Alternative

Video Compression TB Entfällt Will jeder selbst machen. DW hat aber eine

Alternative im Kopf. Quellen aus 2.x offengelegt

MLSLBlockset Abgelöst Soll via FEP gemacht werden

Autosar TB Entfällt Nicht relevant, keine generische Lösung

möglich

Python Support Service Abgelöst Scripting Filter (JS/QML), Fernsteuerung

mittels ADTF Control Sprachunabhängig,

Scripting Filter (Python) muss noch auf neueres

Qt warten

Message Bus Abgelöst ADTF IPC/FEP

Display History On Hold ---
ADTF include 2020a ---

DAT Repair Tool On Hold ---

EDS Abgelöst Attached Files

Breakpoints/Debugging/Snapshots On Hold ---

Audio Support Entfällt Keine Anforderung mehr

Streaming Library Abgelöst ADTF File Library (Open Source)

XCP Display Entfällt Scripting Filter/Example ausreichend

Scope/Table View Standalone Entfällt Im Signal View vorhanden

QT Display Abgelöst Scripting Filter (QML)

MOST Support Entfällt Keine Anforderung mehr

LIN Support Entfällt Keine Anforderung mehr. Quellen aus 2.x

offengelegt

Peak CAN Entfällt Keine Anforderung mehr. Quellen aus 2.x

offengelegt

Blue Fox Entfällt Keine Anforderung mehr. Quellen aus 2.x

offengelegt

uEye Entfällt Keine Anforderung mehr. Quellen aus 2.x

offengelegt

MDF Export Device TB 3.2.0 ---

Watchdog View Entfällt Keine Anforderung mehr, Alternativ in ADTF

Control gelöst

AVI Importer/Exporter DAT GUI Tools 0.2.0 ---

Datexporter Abgelöst DATProcessing, adtf_dattool (CLI, File LIb),

adtf_datguitool (DAT GUI Tools)

Profiling Service Abgelöst Easy Profiler

Das zumindest was mir gerade so einfällt... Der Rest ist imho vorhanden.

Findet ihr euch darin wieder ?

Habt ihr Fragen dazu ?

Ich schreibe aktuell Key Facts zusammen, ich lasse dir gerne meinen Draft-Stand zukommen, so wie ich ihn auch bereits beim VW Anwendertag

aufgezeigt habe.

Das hilft euch vielleicht auch ganz gut, bevor ich hier nochmal liste, was neu ist, exisitert oder optimiert wurde.

Findet ihr euch darin alles, was ihr braucht ?

Du meintest noch, dass der Source-Code von ADTF2 inzwischen veröffentlich ist. Wo finden wir den denn?

Das kam dann vielleicht falsch an, die Rede war von Video Compression TB 2.x:

https://support.digitalwerk.net/projects/download-center/repository/show/adtf-toolboxes/adtf-video-compression-toolbox/release-2.5.0

Hier liegt das Debug Package, das beinhaltet die Sourcen.

Die weiteren oben erwähnten Offenlegungen findest du hier:

https://www.cip.audi.de/bitbucket/projects/OPENDEV/repos/odadev/browse

Zwecks Videokompression ist es uns erstmal wichtig, dass ein Webcam-Video möglichst stark komprimiert abgespeichert werden kann,

dabei möglichst wenig Prozessorlast erzeugt und danach wieder abgespielt und auch ins avi (bei uns aktuell xvid) exportiert werden kann.

 Da können wir was hinbekommen, darüber sollten wir uns nochmal unterhalten.

#9 - 2019-11-25 08:24 - hidden

Feedback auf Mittwoch gestellt

#10 - 2019-11-29 15:12 - hidden

- Project changed from 11 to Public Support

2024-05-08 4/5

https://support.digitalwerk.net/projects/download-center/repository/show/adtf-toolboxes/adtf-video-compression-toolbox/release-2.5.0
https://www.cip.audi.de/bitbucket/projects/OPENDEV/repos/odadev/browse


- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Known Problem

#11 - 2020-07-07 12:45 - hidden

- Status changed from To Be Closed to Closed

Files

adtf_key_facts.html.pdf 252 KB 2019-11-21 hidden
